Subject: Re: [PATCH] Revert "sh_eth: remove open coded netif_running()"

From: Wolfram Sang <[email-masked]>
Date: Mon, 27 Mar 2023 10:32:22 +0200

On Mon, Mar 27, 2023 at 10:19:33AM +0200, Wolfram Sang wrote:
> This reverts commit ce1fdb065695f49ef6f126d35c1abbfe645d62d5. It turned
> out this actually introduces a race condition. netif_running() is not a
> suitable check for get_stats.
> 
> Reported-by: Sergey Shtylyov <[email-masked]>
> Signed-off-by: Wolfram Sang <[email-masked]>

Geez, I forgot 'net-next' in $subject. I need to script that somehow...